RankBoost<-function(X,thetas,T){
s<-dim(X)
n<-s[1]
d<-s[2]
D=(1/(n*n))*ones(n,n)
H=zeros(n,1)
for (t in 1:T) {
    [theta,qs,is]=WeakLearner(D,X,thetas)
    r=0
    Zt=0
    for (i in 1:n) {
        for (j in 1:n){
            r=r+D(i,j)*(h(j)-h(i)); 
        }
    }
    alphat=(1/2)*ln((1+r)/(1-r))
    for (i in 1:n){
        for (j in 1:n){
            Zt=Zt+D[i,j]*exp(alphat*(h(j)-h(i)))
        }
    }
    
    for (i in 1:n){
        for (j in 1:n) {
            D[i,j]=D[i,j]*exp(alphat*(h(j)-h(i)))/Zt;
        }
    }
    
    for (i in 1:n){
        H[i]=H[i]+alphat*h(i);
    }
}
}