function [c,cs] = scv(par,model,method,methodpar)
% compute CV loss for survival data
% 
% c = SCV(par,X,Y,delta)

model.gam = exp(par); % log scale
if size(par,1)>1
    model.mu=exp(par(2));
end
cs=feval(method,model,methodpar{:});
c = 1 - cs;
%disp(num2str([par(:)' c]))

