n=100;
C0=0.7;
var1=1;
var2=10;
m1=0;
m2=10;
tau=2*C0-1;
rou=sin(pi*tau/2);
var12=rou*sqrt(var1)*sqrt(var2);
sigma=[var1 var12;var12 var2];
mu=[m1 m2];
r=mvnrnd(mu,sigma,n);
%plot(r(:,1),r(:,2),'+')
y=-log(1-normcdf((r(:,2)-m2)/sqrt(var2)));
x=r(:,1);

cindex(x,y,ones(n,1))

off=-0.5:0.05:0.5;
ci=zeros(length(off),1);
cen=zeros(length(off),1);
As=zeros(length(off),1);
Bs=zeros(length(off),1);
for k=1:length(off)
    cc=0;
    cenp=0;
    A=0;
    B=0;
    for t=1:10
        r=mvnrnd(mu,sigma,n);
        y=-log(1-normcdf((r(:,2)-m2)/sqrt(var2)));
        x=r(:,1);
        cens=round(rand(n,1)+off(k));
        cenp=cenp+sum(cens)/n;
        [ctemp,Atemp,Btemp]=cindex(x,y,cens);
        cc=cc+ctemp;
        A=A+Atemp;
        B=B+Btemp;
    end
    cen(k)=cenp/10;
    ci(k)=cc/10;
    As(k)=A/10;
    Bs(k)=B/10;
end
figure;
plot(cen,ci)
figure;
plot(cen,As)
hold on
plot(cen,Bs,'r')
legend('A','B')


def=0.3:0.1:2;
cens=ones(n,1);
ci=zeros(length(def),1);
tiep=zeros(length(def),1);
As=zeros(length(def),1);
Bs=zeros(length(def),1);
for k=1:length(def)
    cc=0;
    tp=0;
    A=0;
    B=0;
    for t=1:30
        r=mvnrnd(mu,sigma,n);
        y=-log(1-normcdf((r(:,2)-m2)/sqrt(var2)));
        x=r(:,1);
  
        xnew=round(x*def(k));
        xu=unique(xnew);
        hh=histc(xnew,xu);
        tp=tp+sum(hh.*hh)/(n*n);
        [ctemp,Atemp,Btemp]=cindex(xnew,y,cens);
        cc=cc+ctemp;
        A=A+Atemp;
        B=B+Btemp;
    end
    ci(k)=cc/30;
    tiep(k)=tp/30;
    As(k)=A/30;
    Bs(k)=B/30;
end
figure;
plot(tiep,ci)
hold on
plot(tiep,(As-Bs.*tiep*0.5)./(Bs-Bs.*tiep),'r')
legend('C_n','C_n^t^i^e')
figure;
plot(tiep,As-Bs.*tiep*0.5)
hold on
plot(tiep,Bs-Bs.*tiep,'r')
legend('A','B')
figure;
plot(tiep,As)
hold on
plot(tiep,Bs,'r')
legend('A+Q/2','B+Q')
